2011年10月12日

Greasemonkeyが0.9.12にバージョンアップして、LDRizeが使えなくなってしまった

[Greasemonkeyが更新された事を示す表示]今日(10/11)の昼過ぎぐらい迄は使えていたが、それ以降に自動的にGreasemonkeyの更新が入ったのか、LDRizeが使えなくなってしまった。

Firefox 4.0b10でGreasemonkey 0.9.1のユーザスクリプトのwindowを共通にする改造(開発者orVimper向け) - wltの日記の、Vimperatorユーザなら簡単にLDRizeできるようになるよに有る対処法を導入していたが、今回のバージョンアップで通用しなくなってしまったようだ。

Greasemonkeyのバージョン履歴に書かれているShared window object. (#1278)辺りの変更に因るものだろうか。

取り敢えずは、0.9.11に入れ直す(=バージョンアップ前に戻す)とLDRizeは使えるようになる。

使えるようになるが、今一ビミョウでもある。0.9.12にて訂正されているbugをそのまま放置する事になるし、上で挙げたような(誰かが作った0.9.12以降用の)対処法を導入するにしても、Greasemonkeyの内部仕様の変更毎に使えなくなる可能性にヒヤヒヤするのも不毛だし……

posted by 天井冴太 at 04:08 | Comment(0) | TrackBack(1) | 今日のやらなかった事 | このブログの読者になる | 更新情報をチェックする
投票お願いします 人気blogランキング - 投票する
この記事へのコメント
コメントを書く
お名前: [必須入力]

メールアドレス:

ホームページアドレス:

コメント: [必須入力]

コメント欄右下をドラッグ&ドロップすると、コメント欄の拡大縮小が出来ます。
認証コード: [必須入力]


※画像の中の文字を半角で入力してください。

この記事へのトラックバック

Firefoxでアドオンの自動更新をオフにする方法
Excerpt: Greasemonkeyの自動更新をオフにする時にちょっと迷った。おかしいなー確か出来た筈なのになーどうやるんだったかなーと、3分ぐらい悩んだ。 現在のFirefoxは、アドオンの自動更新に対応して..
Weblog: 天井冴太的つれづれblog [天井の染み]
Tracked: 2011-10-26 03:12